package com.eactive.eai.rms.onl.eaiengine.engine;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientForMonitoringTemplateDao;

@Repository("queueMonitoringDao")
@SuppressWarnings("unchecked")
public class QueueMonitoringDao extends SqlMapClientForMonitoringTemplateDao {

	public int selectListCount(HashMap param) throws Exception {
    	return (Integer)template.queryForObject("QueueMonitoring.selectListCount", param);
    }	
	
	public List<HashMap<String, Object>> selectList(HashMap<String, Object> paramMap) {
		return (List<HashMap<String, Object>>) this.template.queryForList("QueueMonitoring.selectList", paramMap);
	}

	public void insert(HashMap<String, Object> paramMap) {
		this.template.insert("QueueMonitoring.insert", paramMap);
	}
	
   public List selectListToExcel(HashMap paramMap) throws Exception {
    	return template.queryForList("QueueMonitoring.selectListToExcel", paramMap);
    }	

}
